<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="scripts/semantic-ui-css/semantic.min.css">
  <title>Templates Demo</title>
  
</head>
<body onload="load()">
  <div class="ui container">
    <!-- Navigation Menu -->
    <div class="ui two item inverted orange menu">
      <a class="item" onclick="editTemplate()">
        Edit Template
      </a>
      <a class="item" onclick="testTemplate()">
        Test Template
      </a>
    </div>
  </div>
  

  <div id="edit">
    <div class="ui message" style="text-align: center;" id="preview_div">
      <p id="preview">Preview</p>
    </div>
    
    
    <table class="ui very compact celled table"  id="formTable" >
      <thead>
        <th>Type</th>
        <th>Value/Rule input</th>
        <th>Rule type</th>
        <th>Rule condition</th>
        <th>Rule action</th>
        <th>Sort</th>
        <th>Delete</th>
      </tr></thead>
      <tbody>

      </tbody>
      
    </table>


    <table class="ui very compact celled table" id="utilityTable" style="display:none;" >
      <thead>
        <th>Type</th>
        <th>Value/Rule input</th>
        <th>Rule type</th>
        <th>Rule condition</th>
        <th>Rule action</th>
        <th>Sort</th>
        <th>Delete</th>
      </tr></thead>
      <tbody>
        <tr id="textRow">
          <td>
            <select class="ui dropdown" name="hall" id="text" onchange="check(this)" value="3">
              <option selected="selected">Text</option>
              <option>Placeholder</option>
              <option>Rule</option>
            </select>
              
          </td>
          <td class="single line">
            
            <div class="ui input">
              <input type="text" placeholder="Text" size="15" onchange="setPreview()">
            </div>
          </td>
          <td></td>
          <td></td>
          <td></td>
          <td style="text-align:center;">
            
            <div class="ui list">
              <div class="item"><button class="mini ui icon button bup">
                <i id="up" class="caret up icon" title="Move up"></i>
              </button></div>
              <div class="item"><button class="mini ui icon button bdown">
                <i id="up" class="caret down icon" title="Move up"></i>
              </button></div>
            </div>
              
            
          </td>
          <td style="text-align:center;"><button class="mini ui icon button toRemove">
            <i id="up" class="x icon" title="Move up"></i>
          </button></td>
        </tr>
        <tr id="placeholderRow">
          <td>
            <select class="ui dropdown" name="hall" id="hall" onchange="check(this)" value="3">
              <option>Text</option>
              <option selected="selected">Placeholder</option>
              <option>Rule</option>
            </select>
              
          </td>
          <td class="single line">
            
            <select class="ui dropdown" name="fields" onchange="setPreview()"></select>
          </td>
          <td></td>
          <td></td>
          <td></td>
          <td style="text-align:center;">
            
            <div class="ui list">
              <div class="item"><button class="mini ui icon button bup">
                <i id="up" class="caret up icon" title="Move up"></i>
              </button></div>
              <div class="item"><button class="mini ui icon button bdown">
                <i id="up" class="caret down icon" title="Move up"></i>
              </button></div>
            </div>
              
            
          </td>
          <td style="text-align:center;"><button class="mini ui icon button toRemove">
            <i id="up" class="x icon" title="Move up"></i>
          </button></td>
        </tr>
        <tr id="ruleRow">
          <td>
            <select class="ui dropdown" name="hall" id="hall" onchange="check(this)" value="3">
              <option>Text</option>
              <option>Placeholder</option>
              <option selected="selected">Rule</option>
            </select>
              
          </td>
          <td class="single line">
            
            <select class="ui dropdown" name="fields">        
                </select>
          </td>
          <td>
            <select class="ui dropdown" name="hall" id="hall" value="3">
              <option selected="selected">equals</option>
              <option>notEquals</option>
              <option>beginsWith</option>
              <option>isSingular</option>
              <option>isPlural</option>
              <option>isNull</option>
            </select>
          </td>
          <td>
            <div class="ui input">
              <input type="text" size="15" placeholder="Condition">
            </div>
          </td>
          <td>
            <div class="ui input">
              <input type="text" size="15" placeholder="Action" onchange="setPreview()">
            </div>
          </td>
          <td style="text-align:center;">
            
            <div class="ui list">
              <div class="item"><button class="mini ui icon button bup">
                <i id="up" class="caret up icon" title="Move up"></i>
              </button></div>
              <div class="item"><button class="mini ui icon button bdown">
                <i id="up" class="caret down icon" title="Move up"></i>
              </button></div>
            </div>
              
            
          </td>
          <td style="text-align:center;"><button class="mini ui icon button toRemove">
            <i id="up" class="x icon" title="Move up"></i>
          </button></td>
        </tr>
      </tbody>
    </table>
    
    
    
    <button class="ui button" onclick="addRow()" id="add_button">Add field</button>
    <br>
    <br>
    <select class="ui dropdown" name="templateType" id="templateType"></select>
    <button class="ui button" id="saveTemplate" onclick="saveTemplate()">Save template</button>
  </div>
    
  <div id="test" style="display: none;">
    <div class="ui message">
        <div class="header" style="text-align: center;">
        Feedback
        </div>
        <p style="text-align: center;" id="feedback_output"></p>
    </div>
    <div class="ui message">
        <div class="header" style="text-align: center;">
        Argument
        </div>
        <p style="text-align: center;" id="argument_output"></p>
    </div>
    <div class="ui message">
        <div class="header" style="text-align: center;">
        Suggestion
        </div>
        <p style="text-align: center;" id="suggestion_output"></p>
    </div>

    <button class="ui button" onclick="testTemplates()" id="add_button" style="display: block; margin-left: auto; margin-right: auto;">Test Templates</button>
</div>

  

  

  <!-- JS Library Dependencies -->
  <script src="scripts/jquery/dist/jquery.min.js"></script>
  <script src="scripts/semantic-ui-css/semantic.min.js"></script>
  <script src="js/app.js"></script>
  <script>
    function thisFileUpload() {
        document.getElementById("file").click();
    };
  </script>
  <script>
     $(document).on("click", ".toRemove", function () {

      $(this).closest("tr").remove();
      setPreview();

    });
  </script>
  <script>
    $(document).ready(function(){
    $(document).on('click','.bup,.bdown',function(){
        var row = $(this).parents("tr:first");
        if ($(this).is(".bup")) {
            row.insertBefore(row.prev());
        } else {
            row.insertAfter(row.next());
        }
        setPreview();
    });
});
  </script>
</body>
</html>